Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create workspace

POST/workspaces
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Request body
application/json
namestringrequired
min length 1
slugstringrequired
min length 1
keystring
Responses
201

Workspace created

idstringrequired
namestringrequired
slugstringrequired
keystring | nullrequired
ownerIdstringrequired
defaultTeamIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "slug": "string",
  "key": "string"
}'
Response
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "key": "string",
  "ownerId": "string",
  "defaultTeamId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?